Skip to content

Create eligibility policy

POST/v1/employers/{employer_id}/benefit-eligibility-policies

Creates a benefit eligibility policy for the specified employer.

Path ParametersExpand Collapse
employer_id: string

Unique employer identifier (empr_*)

Body ParametersJSONExpand Collapse
classification: string

Which employee classifications are eligible. One of: full_time, part_time, all

waiting_period: string

Waiting period before eligibility. One of: first_of_following_month, 30_days, 60_days, none

ReturnsExpand Collapse
BenefitEligibilityPolicyResponse = object { data }

Response containing a single benefit eligibility policy resource.

data: BenefitEligibilityPolicy { id, active, classification, 4 more }
id: string
active: boolean
classification: string
created_at: string
formatdate-time
employer_id: string
updated_at: string
formatdate-time
waiting_period: string

Create eligibility policy

curl https://api.vitablehealth.com/v1/employers/$EMPLOYER_ID/benefit-eligibility-policies \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY" \
    -d '{
          "classification": "classification",
          "waiting_period": "waiting_period"
        }'
{
  "data": {
    "id": "id",
    "active": true,
    "classification": "classification",
    "created_at": "2019-12-27T18:11:19.117Z",
    "employer_id": "employer_id",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "waiting_period": "waiting_period"
  }
}
Returns Examples
{
  "data": {
    "id": "id",
    "active": true,
    "classification": "classification",
    "created_at": "2019-12-27T18:11:19.117Z",
    "employer_id": "employer_id",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "waiting_period": "waiting_period"
  }
}